# 版本变更日志

这个项目的所有关键变化都将记录在此文件中.

此日志格式基于 [Keep a Changelog](https://keepachangelog.com/zh-CN/1.0.0/),
并且此项目遵循 [Semantic Versioning](https://semver.org/lang/zh-CN/).

## [Unreleased]

## [0.0.47] - 2025-02-11

### Changed

- 优化自定义菜单保存数据格式

## [0.0.46] - 2025-02-10

### Added

- 新增菜单自定义功能

## [0.0.45] - 2025-01-23

### Added

- 新增首页占位控件增加识别expcache自定义参数
- 新增编辑表单内置行为识别是否静默执行参数

### Changed

- 优化默认home页面和默认首页不应该缓存到根组件上
- 优化错误提示信息

### Fixed

- 修复取消预置界面行为触发的关闭界面默认未忽略脏检查
- 修复全局 window 异常处理未阻止默认行为
- 修复界面域销毁，上下文中界面域标识未销毁问题

## [0.0.44] - 2025-01-18

### Added

- 新增应用标题控件
- 新增环境参数environmentTag，可选值为development | test | production，默认值为development，用于区分不同的环境。当参数值为production时，debug、warn、error类型日志不输出，当参数值为test时，warn、error类型日志不输出，默认全部输出

### Changed

- 优化调试工具注册

## [0.0.43] - 2025-01-11

### Added

- 新增AppLabel环境变量用于定义网页标签文本
- 新增支持忽略输入模式（已支持类型：建立、更新、建立及更新、表单项禁用）

### Change

- 优化cookie获取方式
- 优化扫码成功后直接跳转ru存储的对应的视图

### Fixed

- 修复日历部件服务未查询时间范围内数据

## [0.0.42] - 2025-01-07

### Added

- 新增图片裁剪上传组件
- 新增cookieDomain环境参数用于约束cookie作用域

## [0.0.41] - 2024-12-28

### Added

- 新增微信扫码登录组件

### Changed

- 优化适配器错误提示改为警告提示
- 优化密码加密相关逻辑（登录、修改密码）

### Fixed

- 修复树快速搜索提示信息异常，应为开启搜索的树节点对应应用实体提供的快速搜索属性名称
- 修复实体树节点查询参数异常，未启用快速搜索的树节点不携带快速搜索参数query
- 修复IOS端键盘隐藏后视图高度显示异常

## [0.0.40] - 2024-12-24

### Added

- 新增全局加密工具类EncyptionUtil
- 环境参数配置enableEncryption为true时，登录会对密码进行RSA加密

### Change

- 更新日历模式日期选择公共组件接收参数enablededit,用于判断是否支持显示编辑模式

### Fixed

- 修复表单值变更计算动态逻辑异常问题

## [0.0.39] - 2024-12-23

### Changed

- 优化oauth方式登录

### Fixed

- 修复路由跳转跳转过程中modalOption参数丢失问题
- 修复表单项插件提示国际化缺失问题

## [0.0.38] - 2024-12-22

### Added

- 新增oauth2方式登录，需设置环境参数loginMode=OAUTH，oauthOpenAccessId=oauth2开放接入标识
- 新增识别图标主题机制，主题中主题参数需指定icon-theme=true，若未指定该参数识别为颜色主题
- 全局工具方法新增语音工具类

### Changed

- 更新图表在轴标题不显示时的样式

### Fixed

- 修复视图壳没有找到视图模型时直接抛出异常未终止loading状态

## [0.0.37] - 2024-12-19

### Added

- 新增工具栏行为项适配计数器

### Fixed

- 修复钉钉内嵌登录成功后未自动跳转首页的问题

## [0.0.36] - 2024-12-14

### Added

- 更新树部件适配默认选中及适配不显示根节点配置

### Changed

- 更新企业微信环境下授权登录时，需要手动授权
- 代码表组件无数据显示单横杠
- 优化获取应用插件数据逻辑（老模式下获取插件异常）

### Fixed

- 修复钉钉和企业微信环境登录失败时，会循环登录的问题，首次第三方授权登录失败后登录视图不会再自动登录
- 修复树导航页面首次打开且没有选中数据时，导航视图传空让导航占位绘制空界面
- 修复多应用情况下mqtt初始化连接多次问题

## [0.0.35] - 2024-12-12

### Added

- 新增支持第三方登录（企业微信登录服务）

## [0.0.34] - 2024-12-11

### Added

- 新增二维码阅读器编辑器
- 新增全局二维码工具类，可通过ibiz.qrcodeUtil脚本调用
- 表单多数据部件新增识别值变更脚本代码

### Changed

- 优化多数据部件单击双击逻辑

### Fixed

- 修复表单动态逻辑异常报错

## [0.0.33] - 2024-12-06

### Added

- 轮播图适配注入属性配置
- 新增多数据列表、数据视图支持字体、背景色数据项定义
- 新增部件绘制器

### Change

- 图片控件支持通过配置编辑器参数STOPPROPAGATION，设置为false时点击图片不进行预览，而是正常抛出点击事件，设置为true或者不设置则还是正常预览图片
- 日历模式日期选择公共组件新增支持单个日期选择
- 优化面板数据容器初始化容器数据逻辑以便刷新数据

## [0.0.32] - 2024-11-30

### Added

- 新增日历模式时间范围选择器

### Fixed

- 修复视图多次加载问题
- 修复下拉列表自填模式未显示文本异常

## [0.0.31] - 2024-11-22

### Added

- 新增打开模态路由视图功能
- 新增支持第三方钉钉登录、第三方登录组件
- 新增支持界面行为组可见逻辑与启用逻辑
- 添加tokenHeader、tokenPrefix和customParams环境参数
- 多数据部件新增加载前判断是否允许加载数据逻辑

### Fixed

- 修复ios浏览器安全距离失效
- 气泡弹框添加到body中，修复ios层级异常
- 修复数值输入框无法输入小数

## [0.0.30] - 2024-11-15

### Added

- 新增实体重定向视图编辑视图重定向标识
- 表单按钮新增表单项更新逻辑支持附加数据选择视图
- 表单新增控件动态参数mobhideclear以及编辑器参数MOBHIDECLEAR,配置该参数后表单项无清除按钮，默认为false
- 新增编辑器提供清除能力
- 新增搜索栏过滤器组件
- 新增分页搜索视图中快捷搜索提示根据当前激活的关系视图显示
- 新增按钮组支持项显示隐藏逻辑
- 新增编辑表单及编辑器支持注入属性
- 新增模型加载器注入应用级上下文数据

### Change

- 优化多数据部件列表样式、移动端列表支持排序，会给视图设置class
- 优化全局抽屉在关闭页面时同时也关闭自身
- 更新富文本是否已折叠状态持久化
- 优化返回顶部按钮、气泡工具栏按钮添加底部安全距离
- 多数据部件排序配置适配图标按钮移入显示title
- 优化下拉列表只读样式时对齐
- 更新handlebars为静态资源
- 批操作遇到联合键值重复错误时中断当次逻辑，控制台输出错误，再执行后续逻辑

### Fixed

- 修复多选数据视图选择一个后视图就关闭的问题
- 修复MD编辑器打包报错
- 修复下拉列表编辑器显示异常问题
- 修复MD编辑器在钉钉内显示异常问题
- 修复ios中时间选择器弹出文本输入框
- 修复ios富文本弹出框层级问题
- 修复ios文件上传编辑器弹框位置异常
- 修复表单关系视图加载数据行为执行两次

## [0.0.29] - 2024-11-04

### Added

- 富文本支持展开收缩功能,收缩时禁止内容滚动
- 视图打开方式适配气泡卡片打开

### Change

- 模态弹框适配百分比显示及适配模态自定义参数配置
- 表单自动保存默认设置为静默保存，静默校验，合并后台数据
- 更新编辑视图及选项操作视图及表单项适配srfreadonly
- 气泡工具栏样式调整
- markdown编辑器图片样式调整
- 通知消息样式调整，防止ios点击两次跳转
- 表单分页、面板分页添加activeTab
- 调整全屏样式为class控制
- 添加ios搭载平台
- 多数据部件项单击事件传参时增加DOM节点参数

### Fixed

- 修复在界面操作过程中身份失效重新登录后，如果关闭视图，会重新回到登录视图的问题
- 修复多选视图不选择数据时确认按钮无法点击的问题
- 修复悬浮工具栏分组项显示控制异常
- 修复选择编辑器禁用无效
- 修复钉钉环境路由返回异常
- 修复移动端多数据部件左右滑动界面行为组权限异常

## [0.0.28] - 2024-10-30

### Added

- 滑动输入条支持环形
- 数据选择下拉视图适配打开视图时传递选中数据用于视图内回显
- 新增格式化依赖vue-text-format
- 新增主数据视图加载实体数据后计算工具栏权限状态能力
- 新增视图监听实体数据变化能力

### Change

- 优化分页导航视图加载实体数据后计算工具栏权限状态逻辑
- 多数据部件排序设置组件增加弹出框定位层级
- 优化钉钉中显示导航title为应用title
- 分页导航、树导航视图引擎监听实体数据变化
- 优化表单项标签垂直对齐

### Fixed

- 修复默认登录页密码框是明文问题
- 修复工具栏分组项显示异常
- 添加解析URL查询参数方法，修复钉钉中解析URL为空异常

## [0.0.27] - 2024-10-29

### Added

- 更新分页导航视图引擎适配计算工具栏按钮权限逻辑
- 新增表单自动保存时静默校验
- 添加钉钉适配器，同时支持设置导航栏标题

### Change

- 编辑器对齐、行高、换行统一调整
- 添加移动端安全距离
- 表单分组样式调整  style2添加padding阴影
- 多数据视图引擎支持单选配置
- 富文本提示信息样式调整
- 多数据部件识别单多选配置

### Fixed

- 修复时间范围选择无值时点击不出选择弹框及适配值分隔符与pc端保持一致
- 修复门户视图权重低导致未生效
- 修复移动端日历查询条件未生效问题

## [0.0.26] - 2024-10-27

### Added

- 新增支持预置登录视图
- 模态打开视图工具类方法识别平台配置参数
- 更新时间范围选择器适配内容宽度超出后结束时间出省略号
- 模态弹窗适配弹窗关闭按钮及可通过视图参数配置弹框关闭按钮与弹框遮罩是否显示

### Change

- 修复门户视图背景色无效
- 时间范围对齐样式调整

### Fixed

- 修复菜单在路由变化后未自动选择对应菜单项的问题
- 修复文件上传编辑器未识别最新的文件上传路径计算方法

## [0.0.25] - 2024-10-25

### Added

- 表单项支持显示边框配置
- 新增图片预览组件
- 树部件适配树节点图标展示及快捷搜索
- 新增支持分页搜索视图

### Change

- 门户视图样式调整
- 表单分组支持样式表、分组样式
- 编辑器placeholder颜色、行高统一，富文本多语言修复

### Fixed

- 多数据排序通用组件调整配置图标及图标样式
- 多数据部件添加动画帧与防抖，防止多次加载
- 修复视图内容溢出异常
- 修复树导航引擎未往下传递srfnav
- 添加部件滚动默认变量修复界面异常

## [0.0.24] - 2024-10-22

### Added

- 新增直接内容编辑器
- 新增列表门户部件
- 识别全局参数mobFormItemAlignMode
- 新增多数据部件适配排序配置
- 新增关系栏部件并支持默认布局和上方（下拉列表）布局

### Change

- 列表左右滑动组默认撑满项高度
- 更新树导航引擎加载实体数据时先判断是否有主键
- 优化按钮组和关系分页上方下拉列表 popover 关闭模式
- 优化按钮组和关系分页图标样式
- 编辑器对齐模式统一调整
- 门户行为组垂直对齐
- 数据看板识别门户部件高度逻辑调整
- 表单对齐模式调整、新增表单mobshowunderline部件参数
- 表单分组添加区域分割样式
- 视图内容区滚动样式抽取变量
- 兼容edge浏览器解析URL对象

### Fixed

- 统一修复返回顶部按钮未显示
- 修复预置返回按钮无法点击
- 修复下拉选择未对齐
- 修复获取预定义界面行为异常问题

## [0.0.23] - 2024-10-18

### Added

- 部件新增接收参数provider，用于插件只重写逻辑，未重写UI的情况
- 新增移动端日历支持自定义选择日期
- 关系分页栏功能增强：项图标，计数器，计数器显示模式，权限校验，分页栏位置【上方（下拉列表）】样式

### Fixed

- 修复数据选择（下拉视图）初始值回显异常问题
- 修复多数据部件项高度异常
- 修复滑动条内滑块按钮样式超出总宽度
- 修复弹出视图大小调整无效
- 修复悬浮按钮层级异常
- 修复获取预定义界面行为异常问题

## [0.0.22] - 2024-10-16

### Added

- 下拉选择器支持代码表字体颜色及背景色
- 分页视图获取当前内容的标题作为动态标题
- 新增面板按钮组，表单按钮组
- 新增移动端树导航视图
- 新增工具栏支持项显示模型
- 新增表情选择基础组件
- 新增下拉列表表情选择编辑器样式
- 适配标签及输入框及直接内容组件表情回显解析

### Change

- 富文本支持图片预览
- 返回顶部按钮样式对齐

### Fixed

- 修复列表换行及未出下划线
- 修复时间范围选择器无法选择第二项
- 修改列表分组未展示
- 修复模态关闭后续界面行为未执行
- 修复工具栏items子项未识别权限状态
- 修复移动端数据选择(下拉视图)编辑器无法打开视图问题
- 修复系统操作者预定义类型代码表缓存异常

## [0.0.21] - 2024-10-13

### Added

- 新增移动端全局全屏打开工具
- 新增全局参数mobShowUnderLine控制表单项下方下划线是否展示
- 新增后台作业组件、用户消息面板组件

### Change

- mdctrl支持分页模式,默认显示分割线，并且最后一条底部不显示，识别列表样式1（不显示分割线）
- 优化富文本样式

### Fixed

- 修复图表宽高变化时未自适应的问题 
- 修复门户控件界面行为组未绘制的问题
- 修复登录页标签标题异常
- 修复picker编辑器打开视图方式未识别模型

## [0.0.20] - 2024-10-10

### Added

- 新增移动端多数据部件快速搜索分组点击方法
- 添加富文本编辑器

### Change

- 更新工具栏分组项识别配置的图标
- 卡片视图绘制为卡片样式
- 卡片视图部件支持分页模式

### Fixed

- 修复多数据返回顶部消失异常

## [0.0.19] - 2024-09-29

### Added

- 新增标签编辑器支持编辑器参数REVERSECOLOR,用于控制代码表项的color是否用于代码表项的背景色
- 新增标签标题支持动态变化
- 新增工具栏popper模式
- 新增支持视图数据看板视图
- 新增气泡工具栏支持按钮样式
- 新增表单项、表单分组支持点击事件
- 新增全局配置是否展示返回按键
- 添加全局删除权限数据能力

### Changed

- 报错类型为DataEntityRuntimeException时弹出报错
- 更新多数据选择视图选择列表的选择样式

### Fixed

- 修复菜单分隔符在多个隐藏项之后显示异常问题
- 修复清除cookie无效情况
- 修复阻止部件销毁后刷新
- 阻止面板按钮点击冒泡
- 修复分割线中间空白异常

## [0.0.18] - 2024-09-25

### Change

- 标签新增支持编辑器参数SHOWMODE用于控制代码表项的显示模式
- drtab默认隐藏默认编辑项

### Fixed

- 修复抽屉和多项选择视图打开异常问题

## [0.0.12] - 2024-01-10

### Fixed

- 修复span 编辑器禁用态样式异常

## [0.0.11] - 2024-01-09

### Change

升级树依赖版本

## [0.0.10] - 2024-01-09

### Added

- 加载新增自定义class & 消息提示调整
- 实体重定向视图组件注册

### Change

- 同步树接口类型纠正
- 隐藏工作流操作行为前的保存提示


## [0.0.9] - 2023-12-28

### Fixed

- 修复工作流获取动态表单请求参数异常

### Added

- 输入属性编辑器适配
- 支持重复器表单项值属性名称
- 导出编辑器控制器和注册器

### Change

- 门户组件迁移至vue包 & 门户支持头部绘制
- 样式更新

## [0.0.8] - 2023-12-26

### Fixed

- 兼容代码表类型和属性类型不一致

### Added

- 支持视图图标
- 优化多选回显样式
- 支持底部工具栏
- 日历加载当前日期 & 标记数据额外加载

## [0.0.7] - 2023-12-21

### Fixed

- 兼容数值属性配置字符串代码表回显异常
- 修复下拉多选最后一个数据无法删除
- 修复数值框placeholder 颜色异常
- span编辑器支持禁用状态

## [0.0.6] - 2023-12-20

### Fixed

- 修复工作流视图在可编辑模式下操作后未调用保存
- 修复返回顶部重复绘制
- 修复编辑器出现异常下划线（vant样式污染）

### Added

- 新增预制头部组件 & 视图头部返回代码抽离
- mpicker 支持下拉
- 新增数据多选通用组件

### Change

- 菜单样式组件抽离
- span组件同步
- 门户菜单部件绘制调整
- 表单成员基础功能支持

## [0.0.5] - 2023-12-14

### Change

- 流程撤回调用方式调整
- 优化表单项border过粗
- 重复器布局结构 & 样式调整
- 表单多数据部件样式更新

### Fixed

- 修复span未居中

## [0.0.4] - 2023-12-12

### Fixed

- 修正文本框字体大小异常
- 修复标题未居中
- 修复数据看板无法滚动
- 修复多次选中下回显值异常
- 修复图片上传预览 上传多张图片预览时总是打开第一张

### Added

- 文件上传适配安卓平台
- 支持动态轮播图 和 轮播图
- 支持视频播放
- 图片上传支持预览
- 支持面板用户信息
- 日历视图支持点击数据查询，日历标记逻辑优化
- 统一适配搭载平台返回事件
- 支持日历项无数据绘制
- 表单项容器新增禁用态class 和 只读项class

### Change

- 优化多选样式，优化操作
- 优化默认日历项样式
- 优化多数据项激活背景色

## [0.0.3] - 2023-12-07

### Fixed

- 修复多项文件上传成功后无法回显
- 修复多选视图布局占位异常

### Change

- 优化文件上传样式

- 优化应用模型加载
- 默认主题加载变更为未配置扩展主题包时才加载

### Added

- 适配多应用模式

## [0.0.2] - 2023-12-06

### Added

- 支持面板分组容器 &  面板分页容器
- 支持确认操作框工具类
- dashboard支持嵌入视图
- 列表支持选择模式和默认模式
- 403时补充弹窗提示，点击确认后退出登录

### Change

- 表单多数据部件样式优化

### Fixed

- 修复关系界面标题为空时绘制标题容器

## [0.0.1] - 2023-12-04

正式发版

### Added

- 面板组件支持分页面板

### Fixed

- 修复非flex 布局 不支持配置边距

### Change

- 直接内容组件兼容面板项成员
- 重复器样式优化
- 支持指定位置新建

## [0.0.1-alpha.8] - 2023-12-01

### Fixed

- 修复下拉多选报错

### Change

- 只读兼容
- 面板组件迁移至公共组件库
- 样式更新

## [0.0.1-alpha.7] - 2023-11-29

## Added

- 适配第三方搭载平台

### Change

- 重复器重构

## [0.0.1-alpha.6] - 2023-11-29

### Fixed

- 修复树视图界面报错
- 修复只读模式下 值出现undefined
- 修复树视图界面报错
- 修复只读模式下 值出现undefined
- 修复工作流操作完未刷新待办列表
- 修复操作视图在不调用保存情况下操作完成 仍提示确认关闭弹窗

### Change

- px 更换 rem
- them包升级

- 菜单底部高度自适应

- 门户视图标题图标
- 只读样式兼容

### Added

- 支持流程撤回
- 新增向导视图
- 多数据容器 & 单数据容器 组件注册
- 表单直接内容支持分割线和提示栏
- 多数据视图部件视图加载模式支持点击加载
- 关系界面支持标题 & 样式

## [0.0.1-alpha.5] - 2023-11-15

### Added

- 多选择视图支持回显 & 多选按钮无数据禁用
- 文件禁用支持下载
- 卡片视图显示无数据
- 选择视图支持回显
- 多数据选择视图布局支持搜索栏

### Change

- 只读样式兼容

- 背景色变量更正

- 亮色主题色变量更新

- vant主题变量 & 背景色变量更正

## [0.0.1-alpha.4] - 2023-11-15

### Added

- 新增外部依赖: loglevel、loglevel-plugin-prefix

### Changed

- 修改外部依赖为 systemJs 格式: ramda、lodash、qs、axios、dayjs、async-validator、qx-util、handlebars

### Fixed

- 修正因外部依赖为非 systemJs 格式包，safari 解析不正常导致的界面无法显示

## [0.0.1-alpha.3] - 2023-11-14

### Change

- 右侧工具栏右对齐样式
- 布局支持flexBasis
- 禁用默认滚动content 采用固定规则下的滚动class控制滚动
- 表单项容器行高默认值引用表单项行高
- 视图通用头部剧中对齐 工具栏俩侧宽度固定
- 基础样式调整
- vant样式变量调整

### Added

- 多数据部件支持选择模式
- 数据选择多选支持删除单项

## [0.0.1-alpha.2] - 2023-11-12

### Fixed

- 修复表单重复器值规则无效
- 操作视图底部容器显示逻辑始终为true
- 数值选择器支持精度
- 工作流预制按钮 & 工作流按钮布局模式调整
- 样式调整
- 表单项支持动态标题
- 搜索栏支持搜索项占位
- 多数据部件支持项布局面板 & 优化触底加载文本
- 首页布局导航占位迁移
- 通用组件迁移

### Added

- 表单重复器按钮支持模型配置
- 新增日历视&图表视图
- 新增已支持部件视图
- 多数据视图打开工作流视图识别param09
- 编辑视图、多数据视图、分页导航视图、日历视图、图表石头部件视图支持
- 视图消息支持自定义按钮文本 `userTag`

## [0.0.1-alpha.1] - 2023-11-01

### Added

- 初始化0.0.1
